#!/bin/bash

set -xe

## initial

apt update
apt upgrade

## rights
apt install -y sudo

## group (sudo permissions)
# we create a new group to prevent the annoying .sudo_as_admin_succesfull.

export PATH=$PATH:/usr/sbin

groupadd -r wheel
usermod -aG wheel rhjr
usermod -aG input rhjr

echo "%wheel ALL=(ALL:ALL) ALL" > /etc/sudoers
gpasswd --delete rhjr sudo
gpasswd --delete rhjr admin

## workspace
mkdir -p /home/rhjr/devel
mkdir -p /home/rhjr/documents
mkdir -p /home/rhjr/downloads
mkdir -p /home/rhjr/programs
mkdir -p /home/rhjr/machines
mkdir -p /home/rhjr/scratch

## environment
apt install -y              \
  sway mesa-utils

## development
apt install -y              \
  git file                  \
  vim                       \
  build-essential

## user
apt install -y neofetch 

apt install -y              \
  sway                      \
  waybar
